GBKREG2D(1)

NAME
gbkreg2d - Kernel non linear regression for bivariate data

SYNOPSIS
gbkreg2d [options]

DESCRIPTION
2D kernel estimation of conditional moments. Data are read from standard input as triplet (x,y,z). The moments of z are computed on a regular grid in x and y The kernel bandwidth if not provided with the option -H is set automatically. Different bandwidths can be specified for x and y. Different moments are given in different data block. Options -n, -f, -H and -S accept comma separated values to specify different values for x and y components

OPTIONS

-n  number of points where the estimation is computed (default 10)

-f  fraction of the support for which to print the result (default .9)

-H  set the kernel bandwidth explicitly

-S  scale the kernel bandwidth with respect to heuristic 'optimal'

-K  choose the kernel: 0 Epanenchnikov, 1 Rectangular, 2 Silverman type I 3 Silverman type II (default 0)

-O  set the output, comma separated list of m mean, v standard deviation, s skewness and k kurtosis (default m)

-D  switch off data de-variation procedure

-v  verbose mode

-F  specify the input fields separators (default " \t")

-h  this help

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.